Vue.js :revolving_hearts: Foundation
====================================
[![dependencies](https://david-dm.org/jimzhan/vue.js.svg)](https://david-dm.org/jimzhan/vue.js.svg)
[![build](https://travis-ci.org/jimzhan/vue.js.svg?branch=master)](https://travis-ci.org/jimzhan/vue.js)
[![npm version](https://img.shields.io/npm/v/vue.js.svg?style=flat-square)](https://www.npmjs.com/package/vue.js)
[![npm downloads](https://img.shields.io/npm/dm/vue.js.svg?style=flat-square)](https://www.npmjs.com/package/vue.js)

Production application boilerplate for Vue and Koa, batteries included:
+ ES6 + Babel
+ [ESLint](https://github.com/eslint/eslint) with the [Airbnb JavaScript](https://github.com/airbnb/javascript) rules.
+ [Mocha](https://github.com/mochajs/mocha) Unit testing and coverage with [Chai](https://github.com/chaijs/chai) assertion framework.
+ [Nightwatch](https://github.com/nightwatchjs/nightwatch) E2E UI automated testing framework.
+ [Editorconfig](http://editorconfig.org/) Consistent coding styles formatter.
+ [Yarn](https://yarnpkg.com/en/) Dependency management.
+ [Vue.js](https://github.com/vuejs/vue) Progressive frontend framework.
+ [Foundation](http://foundation.zurb.com/) Framework Integration with common UI components on Vue.
+ NPM scripts for common operations.

## Key NPM Scripts
* `npm start` - start Webpack server with hot reload supports in foreground (default port `3000`).

```

TODOs
=====
- [x] ESLint rules supports.
- [x] webpack/webpack-dev-server support.
- [x] NPM scripts for common operations.
- [x] multiple webpack settings profiles.
- [x] unit test integration
- [x] hot reload koa server
- [ ] e2e test integration

